Skip to main content
`Ctrl`+`K`

# DMPlexGetGradientDM

Return gradient data layout

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetGradientDM(DM dm, PetscFV fv, DM *dmGrad)

Collective

## Input Parameters

- dm - The `DM`

- fv - The `PetscFV`

## Output Parameter

- dmGrad - The layout for gradient values

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexGetGeometryFVM()`

## Level

developer

## Location

src/dm/impls/plex/plexfem.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages